Summary:        Three ISO 8601 numerical calendars
Name:           perl-Date-ISO8601
Version:        0.005
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Date-ISO8601
Source0:        https://cpan.metacpan.org/modules/by-module/Date/Date-ISO8601-%{version}.tar.gz

BuildRequires:  coreutils perl-generators perl-interpreter perl(Module::Build)
BuildRequires:  perl(Carp) perl(constant) perl(Exporter) perl(integer) perl(parent) perl(strict) perl(warnings) perl(Test::More)
Requires:       perl(Exporter)
BuildArch:      noarch

%description
The international standard ISO 8601 "Data elements and interchange formats
- Information interchange - Representation of dates and times" defines
three distinct calendars by which days can be labeled. It also defines
textual formats for the representation of dates in these calendars. This
module provides functions to convert dates between these three calendars
and Chronological Julian Day Numbers, which is a suitable format to do
arithmetic with. It also supplies functions that describe the shape of
these calendars, to assist in calendrical calculations. It also supplies
functions to represent dates textually in the ISO 8601 formats. ISO 8601
also covers time of day and time periods, but this module does nothing
relating to those parts of the standard; this is only about labeling days.

%prep
%autosetup -n Date-ISO8601-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/Date/
%{_mandir}/man3/Date::ISO8601.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.005-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.005-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.005-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.005-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jun 27 2022 Lei Wang <raywlwang@tencent.com> - 0.005-1
- Initial build
